body {
    background-color: white;
    margin: 0;
}
#reader {
    margin-top: 125px;
    width: 750px;
    height: 750px;
    background-color: darkgray;
    margin-left: auto;
    margin-right: auto;
}
#result-container {
    width: 80%;
    background-color: white;
    position: absolute;
    left: 10%;
    top: 875px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#result-container > div {
    width: 750px;
}
#search-container {
    margin-top: 5%;
    padding: 20px;
    border: solid 4px darkgray;
}
#toggle, #update, #input, #search {
    width: 100%;
    margin-top: 5%;
    font-size: 3em;
}
#toggle {
    margin-top: 125px;
}
#update, #search {
    display: none;
}
#input {
    margin-top: 0px;
}
#result, #search-result {
    margin-top: 10%;
    margin-bottom: 10%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    font-size: 2.8em;
    font-family: monospace;
}
#search-result {
    margin-top: 0px;
    margin-bottom: 0px;
}
#search-result > [class^="header-"] {
    margin-top: 20px;
}
.header-left, .header-middle, .header-right, .column-left, .column-middle, .column-right {
    padding: 1.5% 0;
    border-bottom: solid 4px;
    display: flex;
    align-items: center;
}
.header-left, .column-left {
    width: calc(27% - 2px);
    justify-content: right;
}
.header-middle, .column-middle {
    width: calc(29% - 4px);
    justify-content: left;
}
.header-right, .column-right {
    width: calc(32% - 2px);
    justify-content: left;
}
.column-left, .column-right {
    padding-top: 1.7%;
}
.column-middle {
    padding-bottom: 2%;
}
.header-left-spacing, .column-left-spacing {
    width: 3%;
    border-bottom: solid 4px;
    border-right: solid 2px;
}
.header-right-spacing, .column-right-spacing {
    width: 3%;
    border-bottom: solid 4px;
    border-left: solid 2px;
}
.column-left, .column-left, .column-middle, .column-right, .column-left-spacing, .column-right-spacing {
    border-color: darkgray;
}
.column-right:has(.check) {
    padding: 0 !important;
}
.delete {
    height: 100%;
    /* width: 100%; */
    aspect-ratio: 1 / 1;
    font-size: 0.7em;
    font-weight: bold;
}
.memno {
    width: 120px;
    text-align: right;
}
.check {
    width: 90%;
    height: 75%;
    font-size: 0.7em;
}
